# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl MARC-diffSerials.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More tests => 10;
BEGIN { use_ok('MARC::diffSerials') }; # Test 1

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

# TEST of _check_include()

ok (MARC::diffSerials::_check_include("4-8", "7")); # Test 2
ok (MARC::diffSerials::_check_include("3", "3")); # Test 3
ok (MARC::diffSerials::_check_include("3(2-3),4-6", "4(2)")); # Test 4
ok (!(MARC::diffSerials::_check_include("3,4(2,4-5)", "4(3)"))); # Test 5
ok (!(MARC::diffSerials::_check_include("3(),4()", "3(3)"))); # Test 6
ok (MARC::diffSerials::_check_include("3(),4-6,7(),5-9", "5")); # Test 7
ok (!(MARC::diffSerials::_check_include("3(),4-6,7(),5-9", "22"))); # Test 8
ok (!(MARC::diffSerials::_check_include("3(),4-6,7(),5-9", "2"))); # Test 9
ok (!(MARC::diffSerials::_check_include("28,30", "29(1)"))); # Test 10

