# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl MARC-diffSerials.t'

#########################

# change 'tests => 3' to 'tests => last_test_to_print';

use Test::More tests => 9;
use MARC::diffSerials ':all';

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

# TEST of fill_all()

is (fill_all("4-5,8-9+", "1-10"), "1-3,6-7,10"); # Test 1
is (fill_all("3", "2-6"), "2,4-6"); # Test 2
is (fill_all("3(2-3),4-6", "1-6"), "1-3"); # Test 3
is (fill_all("3,4(2,4-5),5", "3-6"), "4,6"); # Test 4
is (fill_all("3(),4()", "0-5"), "0-5"); # Test 5
is (fill_all("3(),4-6,9,10()", "2-9"), "2-3,7-8"); # Test 6
is (fill_all("3(),4-6,9,10()", "2,3(),4-9"), "2,3(),7-8"); # Test 7
is (fill_all("40-50", "40"), ""); # Test 8
is (fill_all("22,27,30", "28(1),29(6,12)"),"28(1),29(6,12)"); # Test 9
