# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl MARC-diffSerials.t'

#########################

# change 'tests => 3' to 'tests => last_test_to_print';

use Test::More tests => 6;
use MARC::diffSerials ':all';

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

# TEST of fill_new()

is (fill_new("4-5,8-9", "1-14"), "10-14"); # Test 1
is (fill_new("3", "2-6"), "4-6"); # Test 2
is (fill_new("3(2-3),4-6", "1-6"), ""); # Test 3
is (fill_new("3,4(2,4-5),5", "3-6"), "6"); # Teet 4
is (fill_new("3(),4()", "0-5,6-8"), "5,6-8"); # Test 5
is (fill_new("3(),4-6,9,10()", "2-9,11(3-4)"), "11(3-4)"); # Test 6
