# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl MARC-diffSerials.t'

#########################

# change 'tests => 4' to 'tests => last_test_to_print';

use Test::More tests => 7;
use MARC::diffSerials ':all';

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

# TEST of marge_vols()

is (marge_vols("4-5,8-9", "6-7"), "4-9"); # Test 1
is (marge_vols("3", "5-6"), "3,5-6"); # Test 2
is (marge_vols("3(2-3),4-6", "3(1)"), "3(),4-6"); # Test 3
is (marge_vols("3,4(2,4-5),5", "4-7"), "3-7"); # Test 4
is (marge_vols("3(),4()", "1-3"), "1-3,4()"); # Test 5
is (marge_vols("3(),4-6,9,10()", "4,8"), "3(),4-6,8-9,10()"); # Test 6
is (marge_vols("3(),4-6,9,10()", "4,8,10()"), "3(),4-6,8-9,10()"); # Test 7
