# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl MARC-diffSerials.t'

#########################

# change 'tests => 2' to 'tests => last_test_to_print';

use Test::More tests => 7;
use MARC::diffSerials ':all';

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

# TEST of middle_lack()

is (middle_lack("4-5,8-9"), "6-7"); # Test 1
is (middle_lack("3"), ""); # Test 2
is (middle_lack("3(2-3),4-6"), "3()"); # Test 3
is (middle_lack("3,4(2,4-5),5"), "4()"); # Test 4
is (middle_lack("3(),4()"), "3(),4()"); # Test 5
is (middle_lack("3(),4-6,9,10()"), "3(),7-8,10()"); # Test 6
is (middle_lack("27,30"), "28-29"); # Test 7
