# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl MARC-diffSerials.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More tests => 8;
BEGIN { use_ok('MARC::diffSerials') };

#use MARC::diffSerials;

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

# TEST of _div_serials()
my @result = ();

# テスト2
@result = MARC::diffSerials::_div_serials("4-5,8,10");
ok (eq_array \@result, ["4-5", "8", "10"]); # テスト2

# テスト3
@result = MARC::diffSerials::_div_serials("3");
ok (eq_array \@result, ["3"]);

# テスト4
@result = MARC::diffSerials::_div_serials("3,4(1,3-4),5");
ok (eq_array \@result, ["3", "4(1,3-4)", "5"]);

# テスト5
@result = MARC::diffSerials::_div_serials("2(2-3),4-7");
ok (eq_array \@result, ["2(2-3)", "4-7"]);

# テスト6
@result = MARC::diffSerials::_div_serials("3(),4-6,9,10()");
ok (eq_array \@result, ["3()", "4-6", "9", "10()"]);

# テスト7
@result = MARC::diffSerials::_div_serials("28,30");
ok (eq_array \@result, ["28", "30"]);

# テスト8
@result = MARC::diffSerials::_div_serials("28(1),29(6,12)");
ok (eq_array \@result, ["28(1)","29(6,12)"]);
