# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl MARC-diffSerials.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More tests => 10;
BEGIN { use_ok('MARC::diffSerials') }; # Test 1

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

# TEST of _get_first()

is (MARC::diffSerials::_get_first("4-5"), "4"); # Test 2
is (MARC::diffSerials::_get_first("3"), "3"); # Test 3
is (MARC::diffSerials::_get_first("3(2-3),4"), "3(2-3)"); # Test 4
is (MARC::diffSerials::_get_first("3(2,4-5),4"), "3(2,4-5)"); # Test 5
is (MARC::diffSerials::_get_first("3(),4"), "3()"); # Test 6
is (MARC::diffSerials::_get_first("3(),4-6"), "3()"); # Test 7
is (MARC::diffSerials::_get_first("3(),4-6,10()"), "3()"); # Test 8
is (MARC::diffSerials::_get_first("28,30"), "28"); # Test 9
is (MARC::diffSerials::_get_first("28(1),29(6,12)"), "28(1)"); # Test 10
