# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl MARC-diffSerials.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More tests => 12;
BEGIN { use_ok('MARC::diffSerials') }; # Test 1

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

# TEST of _get_last()

is (MARC::diffSerials::_get_last("4-5"), "5"); # Test 2
is (MARC::diffSerials::_get_last("3"), "3"); # Test 3
is (MARC::diffSerials::_get_last("3(2-3),4"), "4"); # Test 4
is (MARC::diffSerials::_get_last("3,4(2,4-5)"), "4(2,4-5)"); # Test 5
is (MARC::diffSerials::_get_last("3(),4()"), "4()"); # Test 6
is (MARC::diffSerials::_get_last("3(),4-7,8()"), "8()"); # Test 7
is (MARC::diffSerials::_get_last("3(),4-7"), "7"); # Test 8
is (MARC::diffSerials::_get_last("10()"), "10()"); # Test 9
is (MARC::diffSerials::_get_last("3(),4-7,10()"), "10()"); # Test 10
is (MARC::diffSerials::_get_last("28,30"), "30"); # Test 11
is (MARC::diffSerials::_get_last("28(1),29(6,12)"), "29(6,12)"); # Test 12
