# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl MARC-diffSerials.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More tests => 9;
BEGIN { use_ok('MARC::diffSerials') }; # Test 1

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

# TEST of _simple_checkin()

is (MARC::diffSerials::_simple_checkin("4", "5","7", "8"), "4-5,7-8"); # Test 2
is (MARC::diffSerials::_simple_checkin("3"), "3"); # Test 3
is (MARC::diffSerials::_simple_checkin("3(2-3)", "4", "5", "6"), "3(2-3),4-6"); # Test 4
is (MARC::diffSerials::_simple_checkin("3", "4(2,4-5)"), "3,4(2,4-5)"); # Test 5
is (MARC::diffSerials::_simple_checkin("3()", "4()"), "3(),4()"); # Test 6
is (MARC::diffSerials::_simple_checkin("3()", "4", "5", "6", "7()"), "3(),4-6,7()"); # Test 7
is (MARC::diffSerials::_simple_checkin("3()"), "3()"); # Test 8
is (MARC::diffSerials::_simple_checkin("2", "3()", "4", "5", "6", "9", "10()", "11", "12"), "2,3(),4-6,9,10(),11-12"); # Test 9
