# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl MARC-diffSerials.t'

#########################

# change 'tests => 2' to 'tests => last_test_to_print';

use Test::More tests => 10;
use MARC::diffSerials ':all';

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

# TEST of fill_middle()

is (fill_middle("4-5,8-9", "1-10"), "6-7"); # Test 1
is (fill_middle("3", "1-4"), ""); # Test 2
is (fill_middle("3(2-3),4-6", "2-3"), "3"); # Test 3
is (fill_middle("3,4(2,4-5),5", "4-6"), "4"); # Test 4
is (fill_middle("3(),4()", "4-6"), "4"); # Test 5
is (fill_middle("3(),4-6,9,10()", "5-11"), "7-8,10"); # Test 6
is (fill_middle("3(),4-6,9,10()", "3"), "3"); # Test 7
is (fill_middle("3(2-4),4-6,9,10()", "3(1)"), "3()"); # Test 8
is (fill_middle("3(2-4),4-6,9,10()", "2,3(1)"), "3()"); # Test 9
is (fill_all("22,27,30", "28(1),29(6,12)"),"28(1),29(6,12)"); # Test 10
